[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'go32' (#rtl)

# get_pm_interrupt

Return protected mode interrupt handler

## Declaration

Source position: go32.pp line 133

`function get_pm_interrupt(`
`vector: Byte;`
`var intaddr: tseginfo`
`):Boolean;`

## Description

Returns the address of a current protected mode interrupt handler.

Parameters:

vector
  interrupt handler number you want the address to.
intaddr
  buffer to store address.

Return values: True if successful, False if not.

Remark: | The returned address is a protected mode selector:offset address.

For an example, see set_pm_interrupt.

## Errors

Check the int31error variable.

## See also

set_pm_interrupt |  | Set protected mode interrupt handler
set_rm_interrupt |  | Set real mode interrupt handler
get_rm_interrupt |  | Get real mode interrupt vector